Labels
Deletes the label identified by the given ID.
Path parameters
idintegerRequired
Label ID
Responses
204
Label deleted
No content
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
500
Internal Server Error
application/json
delete/api/labels/{id}
DELETE /api/labels/{id} HTTP/1.1
Accept: */*
No content
Deletes the label matching the provided name.
Body
namestringRequired
Responses
204
Label deleted
No content
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not found
application/json
500
Internal Server Error
application/json
delete/api/labels/search_delete_one
DELETE /api/labels/search_delete_one HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"name": "example_label"
}No content
Retrieves all labels available to the current user.
Responses
200
List labels
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
get/api/labels
GET /api/labels HTTP/1.1
Accept: */*
{
"data": [
{
"data": {
"id": 1,
"name": "example_label"
}
},
{
"data": {
"id": 2,
"name": "another_label"
}
}
]
}Creates a new label with the provided name.
Body
namestringRequired
Responses
201
Label created
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
422
Unprocessable Entity
application/json
500
Internal Server Error
application/json
post/api/labels
POST /api/labels HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"name": "example_label"
}{
"data": {
"id": 1,
"name": "example_label"
}
}Last updated